#pragma once
#include "std_lib_inc.h"
#ifndef SUBCOMMAND_H
#define SUBCOMMAND_H

namespace commands
{
    class SubCommand
    {
    private:
        string name;
        bool show_result;

    public:
        SubCommand(const string& indicator, bool show_result);
        string get_name();
        bool should_display_result() const;
        virtual void run(stringstream& args);
    };
} // commands

#endif // SUBCOMMAND_H
